FullTextIndexManagementResource
Date: 2012-06-28

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.indexmanagement.fulltextindexmanagement
Class FullTextIndexManagementResource

    java.lang.Object
      IndexManagementWSResource
          org.gcube.indexmanagement.fulltextindexmanagement.FullTextIndexManagementResource

    public class FullTextIndexManagementResource

extends IndexManagementWSResource

A class containing stateful information regarding one particular FullText index, along with methods needed to initiate and manage such an index.

Version:
  0.1

Field Summary
`static java.lang.String` | `RP_CONTENT_TYPE`
`static java.lang.String` | `RP_INDEX_FORMAT`

Constructor Summary
`FullTextIndexManagementResource()`

Method Summary
`void` | `changeIndexType(java.lang.String indexTypeID)` Changes the IndexType to the local IndexType with the specified ID
`void` | `deleteCollection(java.lang.String collectionID)` Deletes a collection id to the collectionID resource property.
`java.lang.String` | `getContentType()` Getter method for the ContentType Resource Property
`java.lang.String` | `getIndexFormat()` Getter method for the IndexFormat Resource Property
`DeltaListManagementHandler` | `getIndexManagerHandler()` Gets this resources delta list handler instance.
`java.lang.String` | `getIndexType(java.lang.String indexTypeID)` Returns the IndexType identified by the specified IndexTypeID
`boolean` | `isDeltaValid(DeltaFileInfoType info)`
`void` | `onLoad(java.io.ObjectInputStream ois, boolean firstLoad)`
`void` | `onResourceRemoval()`
`void` | `onStore(java.io.ObjectOutputStream oos)`
`void` | `setContentType(java.lang.String contentType)` Setter method for the ContentType Resource Property
`void` | `setIndexFormat(java.lang.String indexFormat)` Setter method for the IndexFormat Resource Property

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RP_CONTENT_TYPE

    public static final java.lang.String RP_CONTENT_TYPE

See Also:
  Constant Field Values

### RP_INDEX_FORMAT

    public static final java.lang.String RP_INDEX_FORMAT

See Also:
  Constant Field Values

Constructor Detail

### FullTextIndexManagementResource

    public FullTextIndexManagementResource()

Method Detail

### onStore

    public void onStore(java.io.ObjectOutputStream oos)
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### onLoad

    public void onLoad(java.io.ObjectInputStream ois,
                       boolean firstLoad)
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getIndexFormat

    public java.lang.String getIndexFormat()

  Getter method for the IndexFormat Resource Property

  Returns:
    `String` the requested IndexFormat

### getContentType

    public java.lang.String getContentType()

  Getter method for the ContentType Resource Property

  Returns:
    `String` the requested ContentType identifier

### getIndexType

    public java.lang.String getIndexType(java.lang.String indexTypeID)
                                  throws IndexException

  Returns the IndexType identified by the specified IndexTypeID

  Parameters:
    `indexTypeID` - `String` the ID of the IndexType to return
  Returns:
    `String` XML representation of the requested IndexType
  Throws:
    `IndexException`

### setContentType

    public void setContentType(java.lang.String contentType)

  Setter method for the ContentType Resource Property

  Parameters:
    `indexID` - `String` the new ContentType

### changeIndexType

    public void changeIndexType(java.lang.String indexTypeID)
                         throws IndexException

  Changes the IndexType to the local IndexType with the specified ID

  Parameters:
    `indexTypeID` - `String` the id of the indexType to change to
  Throws:
    `IndexException`

### setIndexFormat

    public void setIndexFormat(java.lang.String indexFormat)

  Setter method for the IndexFormat Resource Property

  Parameters:
    `indexFormat` - `String` the new IndexFormat

### deleteCollection

    public void deleteCollection(java.lang.String collectionID)

  Deletes a collection id to the collectionID resource property. Does not remove any content from the index.

  Parameters:
    `collectionID` - `String` -the ID to be added

### onResourceRemoval

    public void onResourceRemoval()

### getIndexManagerHandler

    public DeltaListManagementHandler getIndexManagerHandler()

  Gets this resources delta list handler instance. Required by the DeltaListManager interface.

  Returns:
    `DeltaListManagementHandler` the requested DeltaListManagementHandler
  See Also:
    `org.gcube.indexmanagement.storagehandling.DeltaListManager`

### isDeltaValid

    public boolean isDeltaValid(DeltaFileInfoType info)
                         throws IndexException

  Throws:
    `IndexException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD